Summary:	A fancy GNOME telnet client.
Name: 		gnome-telnet
Version: 	2.5
Release: 	4
Epoch:		0
License:	GPL
Group:		Applications/Internet
URL:		http://www.cyest.org/
Source0: 	http://www.cyest.org/downloads/%{name}-%{version}.tar.bz2
Patch1:		gnome-telnet-2.5-default-font.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	GTelnet = %{epoch}:%{version}-%{release}
BuildRequires:	gnome-libs-devel gettext automake14 desktop-file-utils

#---------------------------------------------------------------------

%description
GTelnet (gnome-telnet) is a pretty, powerful, and fancy 3-in-1 GNOME1
client for telnet, ssh, and rlogin. It supports both SSH2 and OpenSSH.

#---------------------------------------------------------------------

%prep
%setup -q
%patch1 -p1 -b .default-font
rm config.{sub,guess,cache}
automake-1.4 -a -c -i

#---------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}

#---------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT  %{name}.desktop
%makeinstall
%find_lang %{name}

grep -v en_US.ISO8859-1 share/GTelnet.desktop |	\
	sed 's|/usr/bin/||g;s|/usr/share/pixmaps/||g' > %{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/pixmaps
desktop-file-install --vendor fedora            \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Fedora                     \
    --add-category Application                  \
    --add-category Network	                \
    %{name}.desktop

cd share
for i in *.png *.xpm *.jpg
do
  install -m 0644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps
done

#---------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README AUTHORS ChangeLog NEWS docs/*
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/*

#---------------------------------------------------------------------

%changelog
* Sun Aug 17 2003 Dams <anvil[AT]livna.org> 0:2.5-0.fdr.4
- Applied patch for new default font from Michael Schwendt

* Sat Aug 16 2003 Michael Schwendt <rh0212ms[AT]arcor.de> 0:2.5-0.fdr.3
- Minor change/fix for automake prep

* Sat Aug 16 2003 Dams <anvil[AT]livna.org> 0:2.5-0.fdr.2
- buildroot -> RPM_BUILD_ROOT
- Added icons
- Added desktop entry
- Added html doc
- Fixed typo in Provides

* Wed Apr 23 2003 Dams <anvil[AT]livna.org> 
- Initial build.
